org.apache.fop.pdf

## Class PDFLinearization

- java.lang.Object
- - org.apache.fop.pdf.PDFLinearization

    public class PDFLinearization
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PDFLinearization(PDFDocument doc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `outputPages(OutputStream stream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDFLinearization

    public PDFLinearization(PDFDocument doc)

### Method Detail

#### outputPages

    public void outputPages(OutputStream stream)
                     throws IOException

Throws:
  `IOException`